Company logoTrust Center Documentation

Get ask response by ID

Retrieve the latest ask response by ID. If the ask is still in progress, the endpoint returns the persisted in-progress payload. If the downstream job has…

Retrieve the latest ask response by ID.

If the ask is still in progress, the endpoint returns the persisted in-progress payload. If the downstream job has reached a terminal state, the terminal result is returned.

GET
/api/v1/ask/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Ask response identifier

Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://app.orbiqhq.com/api/v1/ask/ask_1"

{
  "id": "ask_1",
  "object": "response",
  "status": "in_progress",
  "created_at": 1771920000
}

{
  "error": "Invalid ask ID",
  "details": {
    "errors": [
      {
        "path": [
          "id"
        ],
        "message": "Ask ID is required"
      }
    ]
  }
}

{
  "error": "Unauthorized"
}

{
  "error": "Ask response not found"
}
{
  "error": "Failed to load ask response"
}

How is this guide?